petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionGetNumFields

Returns the number of fields, or 0 if no fields were defined.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetNumFields(PetscSection s, PetscInt *numFields)

Not collective

### Input Parameter

s -the PetscSection

### Output Parameter

numFields -the number of fields defined, or 0 if none were defined

### See Also

PetscSectionSetNumFields()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages